Subject: Following Up on the Bioglutide Sample Janoshik Tested
From: Derek from Research Radar <[email-masked]>
To: [email-masked]
Date: Fri, 15 May 2026 00:58:14 +0000
List-Id: <derekpruski.substack.com>

View this post on the web at https://derekpruski.substack.com/p/following-up-on-the-bioglutide-sample

One of the members of the community sent this over and I want to walk you through it, because it’s one of the clearest examples I’ve seen of why independent identification testing matters in this space.
If you caught my Janoshik podcast episode [ https://substack.com/redirect/fa47beae-f6e1-48ed-b340-7bf60bb357a7?j=eyJ1IjoiNGl3b2U2In0.sVDxRtmZ85v8kfdamY0krRXGMy3p768BWtuZifRB-Zs ], Peter told a story about a research sample of Bioglutide that came through his lab for identification. The marketing positioned it as a brand new compound. What the analysis actually returned was two existing GLPs blended together. Nothing novel. Just relabeled inventory.
This story on X follows the same pattern, with even more thorough analytical work behind it. Let me walk you through it.
The Setup
A compound called Bioglutide, also known as NA-931, has been circulating in the research market. The marketing pitch is impressive on paper. It has been positioned as a first-in-class oral quadruple agonist — meaning a single compound that activates four different receptors at once: GLP-1, GIP, glucagon, and IGF-1. If real, that would be a genuinely novel molecule worth studying.
Here is the catch. For any legitimate research compound, you should be able to find a few basic things publicly:
The sequence
The molecular weight
The structure
An independently verified reference standard that labs can compare samples against
For Bioglutide, none of that exists. No published sequence. No confirmed structure. No reference standard. Just marketing.
The Test
Kimera Chems decided to find out what was actually in the raw material being sold under that name. They acquired raws being marketed as NA-931 from a Chinese API supplier and submitted them to NuMega Resonance Labs, an independent analytical facility.
They requested two things:
Proton NMR scan — essentially a structural fingerprint of the molecule
Mass spectrometry — which determines molecular weight
The smart part of the request was that they specifically asked NuMega to scan the full range up to 2,500 m/z. Here is why that matters. A real glutide-class peptide, like Bioglutide is claimed to be, should weigh somewhere between 4,000 and 5,000 Daltons. That is a large peptide. If the sample really was what the label claimed, the mass spec would show clear evidence of a peptide in that range, including the multiply charged envelope you would expect from a molecule that size.
What Came Back
The mass spec showed a parent mass of about 154 Daltons.
Not 4,000. Not 5,000. One hundred and fifty four.
That is not a peptide agonist. That is a small molecule. Roughly thirty times lighter than what Bioglutide is claimed to be.
The NMR backed it up. The structural fingerprint matched cyclo(Pro-Gly), also known as Traneurocin, also known as NA-831.
Notice the names. NA-931 was what was purchased. NA-831 is what the analysis identified. One digit off. Completely different compound.
Here is the Kicker
NA-831 is a real compound. It exists. It has a known structure. It has been investigated. But it has nothing to do with metabolic pathways, GLP-1 receptor activity, or anything Bioglutide is positioned as.
NA-831 is a small cyclic dipeptide tied to Biomed’s neurological research pipeline. It has been studied in connection with Alzheimer’s, dementia, and cognitive decline models. Its proposed mechanism involves modulating BDNF in the hippocampus to support neuronal resilience.
So a research subject receiving administration of material labeled NA-931 with the expectation of studying a quadruple metabolic agonist would actually be exposed to a neuroactive cyclic dipeptide. Completely different pharmacology. Completely different downstream effects. Any data collected under that protocol would be meaningless because the input compound was never what the label claimed.
Why This Matters
This is the exact pattern Peter described on the podcast. A compound gets hyped before anyone has independently verified what it actually is. Vendors race to list it. Raws and finished products flood the market. Buyers acquire it based on marketing claims. And when somebody finally pays for proper identification testing, the contents do not match the label.
This is why I push so hard on COAs, independent third party testing, and vendor transparency. It is also why I stay cautious about brand new compounds that arrive with big claims and no verifiable chemistry behind them. Identification testing is not optional for serious research — it is the floor.
The full write-up is worth your time. It walks through the NMR data, the mass spec data, and the broader mess around how Bioglutide is being marketed and sold despite no one being able to verify what it actually is.
Read the full thread on X [ https://substack.com/redirect/f274a32f-65a4-4596-92b3-48130bbce16f?j=eyJ1IjoiNGl3b2U2In0.sVDxRtmZ85v8kfdamY0krRXGMy3p768BWtuZifRB-Zs ]

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9kZXJla3BydXNraS5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVOemM0TlRjeE15d2lhV0YwSWpveE56YzRPREEyTnpBekxDSmxlSEFpT2pFNE1UQXpOREkzTURNc0ltbHpjeUk2SW5CMVlpMHpNelkxTXpZM0lpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5Lm91VTJheXFoRnlwZ2xubGlSNUVzVTFsc0lUUGNSaDZjYXVOQXhvTWFDQUkiLCJwIjoxOTc3ODU3MTMsInMiOjMzNjUzNjcsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzc4ODA2NzAzLCJleHAiOjIwOTQzODI3MDMsImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.pggMsEnojaR3FGPhUofufXUi0xDS7J3kreQ-K_IYrKQ?